import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import React, { Component } from 'react';
import "./index.scss";
var ActivityBox = /*#__PURE__*/function (_Component) {
  _inheritsLoose(ActivityBox, _Component);
  function ActivityBox() {
    return _Component.apply(this, arguments) || this;
  }
  var _proto = ActivityBox.prototype;
  _proto.render = function render() {
    return /*#__PURE__*/React.createElement("div", {
      className: "activity-head"
    }, /*#__PURE__*/React.createElement("div", {
      className: "title"
    }, this.props.title), /*#__PURE__*/React.createElement("div", {
      className: "activity-title-content"
    }, /*#__PURE__*/React.createElement("svg", {
      width: "70vw"
    }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
      id: "MyPath",
      d: "M -70 110 C10 20 360 0 250 160"
    })), /*#__PURE__*/React.createElement("text", {
      fontSize: "10vw",
      textAnchor: "start"
    }, /*#__PURE__*/React.createElement("textPath", {
      href: "#MyPath",
      startOffset: "50%"
    }, this.props.content)))));
  };
  return ActivityBox;
}(Component);
export { ActivityBox as default };